Subject: Re: undefined reference to '_cfmakeraw'
From: "[email-masked]" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 12 Sep 2008 18:20:56 +0000
List-Id: <cygwin.cygwin.com>

On Fri, Sep 12, 2008 at 5:49 PM, Andrew Bouchard
<[email-masked]> wrote:
> I am trying to run cygwin and install a program called Moast, which requires
> the Linux-style environment that cygwin provides to run. At least that what
> it says - I'm a mechanical engineer by training, so I have to admit a fair
> amount of cluelessness here. The error that I get just before the installer
> gets out of all the directories is:
>
> undefined reference to '_cfmakeraw'
>
> I've tried to Google the problem and searched the mailing lists, but I keep
> coming up with diff files that show code. I get the impression from various
> places that these are fixes of some kind, but I don't know what they do,
> where they should go, or how to implement them. Could someone give a poor
> graduate student a little direction? Thanks very much.

Some ideas:

(1) make sure that you chose to install all the cygwin packages
(optional subcomponents) which the program needs
(2) did you run configure?  some source tarballs are packaged with one
version of the makefiles produced by configure, which won't
necessarily work on other systems and almost certainly not on
cygwin/Windows
(3) some context for the error message
(4) results of grepping the source code for "cfmakeraw" so we know
whether it's defined or declared by that application (google reveals
it's actually a BSD function for setting terminal settings, and
missing from a lot of OSes such as Solaris, so it should already be
handled by the project's configure script if it has one)
(5) you should also try the moast-devel mailing list hosted on
sourceforge which google turns up very quickly

Applying a diff is a very straightforward fix.  The MOAST project
appears to be about developing autonomous robots.  What graduate
program are you in?  Programming skills would seem to be a
prerequisite for this sort of work, and if you're
unfamiliar/uncomfortable with something as basic and self-explanatory
as a diff file you should seriously make sure you are in the right
research area.

Ben Voigt
EE PhD Student

>
> Andrew
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:       http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/